@ECHO OFF

ECHO.
ECHO Registering OICF.DLL
ECHO.

CD C:\InfoAPI2018\oicf

IF "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO 64BIT
IF "%PROCESSOR_ARCHITEW6432%"=="AMD64" GOTO 64BIT

ECHO 32bit system

START "Registering OICF.DLL on 32bit system" /WAIT "regsvr32.exe" oicf.dll

GOTO END



:64BIT
ECHO 64bit system
START "Registering OICF.DLL on 64bit system" /WAIT "C:\Windows\SysWOW64\regsvr32.exe" oicf.dll


:END
